Bug 189523 - System gives kernel: OUt of Memory errors
System gives kernel: OUt of Memory errors
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
: 189524 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-20 14:36 EDT by Mike Rhyner
Modified: 2012-06-20 12:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Rhyner 2006-04-20 14:36:18 EDT
Description of problem:
System spews kernel: Out of memory errors and kills processes. The system never 
attempts to swap. Based on some other bug reports, there are conflicting 
answers to resolving this. One is use 2.6.16 kernel, which is not available for 
Enterprise version 4 (fully supported). 

Version-Release number of selected component (if applicable):
2.6.9-22.0.2.ELsmp #1 SMP Thu Jan 5 17:13:01 EST 2006 i686 i686 i386 GNU/Linux

How reproducible:
when system runs for several days

Steps to Reproduce:
1. Run software development builds (via ClearCase)
2.
3.
  
Actual results:
Mar 30 09:38:51 il94llb01 kernel: Out of Memory: Killed process 4483 (sshd).
Mar 30 09:39:00 il94llb01 kernel: Out of Memory: Killed process 820 (cleartool).
Mar 30 09:39:06 il94llb01 kernel: Out of Memory: Killed process 818 (clearmake).
Mar 30 09:51:06 il94llb01 kernel: Out of Memory: Killed process 1294 (vim).
System eventually hangs

Expected results:
Processes should run clean and the system should not hang.

Additional info:
ClearCase version 
clearcase_p2003.06.00-29 (Mon Nov 21 22:31:55 EST 2005)
@(#) MVFS version 2003.06.10+ (Sat Oct  1 02:29:23 2005) VNODE built $Date: 
2005-10-01.09:38:44 (UTC) $
Comment 1 Jason Baron 2006-04-20 16:24:19 EDT
*** Bug 189524 has been marked as a duplicate of this bug. ***
Comment 2 Larry Woodman 2006-05-15 09:16:22 EDT
Please attach the memory statistice printed out when the OOM kill occurs.  It
include the stats I need to debug this problem.

Larry Woodman
Comment 4 Jiri Pallich 2012-06-20 12:19:28 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.